// Basic Lights

datablock fxLightData(SeleniumWhite)
{
	uiName = "Selenium White";

	LightOn = true;
	radius = 26;
	brightness = 5;
	color = "1 1 1 1";

	flareOn = true;
	flarebitmap = "base/lighting/corona";
	NearSize	= 1.2;
	FarSize = 1;
};

datablock fxLightData(SeleniumWarmer : SeleniumWhite)
{
	uiName = "Selenium Warmer";
	color = "0.5 0.3 0.1 1";
};

datablock fxLightData(SeleniumWarm : SeleniumWhite)
{
	uiName = "Selenium Warm";
	color = "0.5 0.45 0.25 1";
};

datablock fxLightData(SeleniumCold : SeleniumWhite)
{
	uiName = "Selenium Cold";
	color = "0.25 0.45 0.5 1";
};

datablock fxLightData(SeleniumColder : SeleniumWhite)
{
	uiName = "Selenium Colder";
	color = "0.1 0.3 0.5 1";
};

datablock fxLightData(SeleniumBWhite)
{
	uiName = "Selenium B White";

	LightOn = true;
	radius = 64;
	brightness = 5.5;
	color = "1 1 1 1";

	flareOn = true;
	flarebitmap = "base/lighting/corona";
	NearSize	= 1.75;
	FarSize = 1.25;
};

datablock fxLightData(SeleniumBWarmer : SeleniumBWhite)
{
	uiName = "Selenium B Warmer";
	color = "0.5 0.3 0.1 1";
};

datablock fxLightData(SeleniumBWarm : SeleniumBWhite)
{
	uiName = "Selenium B Warm";
	color = "0.5 0.45 0.25 1";
};

datablock fxLightData(SeleniumBCold : SeleniumBWhite)
{
	uiName = "Selenium B Cold";
	color = "0.25 0.45 0.5 1";
};

datablock fxLightData(SeleniumBColder : SeleniumBWhite)
{
	uiName = "Selenium B Colder";
	color = "0.1 0.3 0.5 1";
};

datablock fxLightData(SeleniumFWhite)
{
	uiName = "Selenium Flood White";

	LightOn = true;
	radius = 256;
	brightness = 6;
	color = "1 1 1 1";

	flareOn = true;
	flarebitmap = "base/lighting/flare";
	NearSize	= 1.8;
	FarSize = 0.9;
};

datablock fxLightData(SeleniumFWarm : SeleniumFWhite)
{
	uiName = "Selenium Flood Warm";
	color = "0.5 0.45 0.25 1";
};

datablock fxLightData(SeleniumFCold : SeleniumFWhite)
{
	uiName = "Selenium Flood Cold";
	color = "0.25 0.45 0.5 1";
};

datablock fxLightData(SeleniumAmbientWhite)
{
	uiName = "Selenium Ambient White";

	LightOn = true;
	radius = 48;
	brightness = 2;
	color = "1 1 1 1";

	flareOn = false;
	FlareTP	= false;
	flarebitmap = "";
};

datablock fxLightData(SeleniumAmbientWarmer : SeleniumAmbientWhite)
{
	uiName = "Selenium Ambient Warmer";
	color = "0.5 0.3 0.1 1";
};

datablock fxLightData(SeleniumAmbientWarm : SeleniumAmbientWhite)
{
	uiName = "Selenium Ambient Warm";
	color = "0.5 0.45 0.25 1";
};

datablock fxLightData(SeleniumAmbientCold : SeleniumAmbientWhite)
{
	uiName = "Selenium Ambeint Cold";
	color = "0.25 0.45 0.5 1";
};

datablock fxLightData(SeleniumAmbientColder : SeleniumAmbientWhite)
{
	uiName = "Selenium Ambient Colder";
	color = "0.1 0.3 0.5 1";
};

datablock fxLightData(SeleniumAmbientAcid : SeleniumAmbientWhite)
{
	uiName = "Selenium Acid";
	radius = 32;
	brightness = 4;
	color = "0.31 0.50 0.08 1";
};

datablock fxLightData(SeleniumAmbientFireA : SeleniumAmbientWhite)
{
	uiName = "Selenium Fire A";
	radius = 32;
	brightness = 6;
	color = "0.90 0.36 0.08 1";
	
};

datablock fxLightData(SeleniumAmbientFireB : SeleniumAmbientWhite)
{
	uiName = "Selenium Fire B";
	radius = 32;
	brightness = 5;
	color = "0.90 0.36 0.08 1";
	
	AnimColor		= false;
	AnimBrightness	= true;
	AnimOffsets		= false;
	AnimRotation	= false;
	LinkFlare		= true;
	LinkFlareSize	= false;
	MinColor		= "0 0 0";
	MaxColor		= "1 1 1";
	MinBrightness	= 0.0;
	MaxBrightness	= 1.0;
	MinRadius		= 0.1;
	MaxRadius		= 20;
	StartOffset		= "-5 0 0";
	EndOffset		= "5 0 0";
	MinRotation		= 0;
	MaxRotation		= 359;
	
	BrightnessKeys	= "ZWZVTXZ";
	RadiusKeys		= "ZXZWZTV";
	OffsetKeys		= "AZAAAAA";
	RotationKeys	= "AZAAAAA";

	BrightnessTime	= 0.4;
	RadiusTime		= 0.4;
	OffsetTime		= 1.0;
	RotationTime	= 1.0;

	LerpBrightness	= true;
	LerpRadius		= true;
	LerpOffset		= true;
	LerpRotation	= true;
};

datablock fxLightData(SeleniumPolice)
{
	uiName = "Selenium Alarm Police";

	LightOn = true;
	radius = 32;
	brightness = 5;
	color = "1 1 1";

	FlareOn			= false;
	FlareTP			= false;
	Flarebitmap		= "";
	FlareColor		= "1 1 1";
	ConstantSizeOn	= false;
	ConstantSize	= 1;
	NearSize		= 1;
	FarSize			= 0.5;
	NearDistance	= 10.0;
	FarDistance		= 30.0;
	FadeTime		= 0.1;
	BlendMode		= 0;

	AnimColor		= true;
	AnimBrightness	= false;
	AnimOffsets		= false;
	AnimRotation	= false;
	LinkFlare		= true;
	LinkFlareSize	= false;
	MinColor		= "0 0 0";
	MaxColor		= "1 1 1";
	MinBrightness	= 0.0;
	MaxBrightness	= 1.0;
	MinRadius		= 0.1;
	MaxRadius		= 20;
	StartOffset		= "-5 0 0";
	EndOffset		= "5 0 0";
	MinRotation		= 0;
	MaxRotation		= 359;

	SingleColorKeys	= false;
	RedKeys			= "ZAAZAA";
	GreenKeys		= "AAAAAA";
	BlueKeys		= "AZZAZZ";
	
	BrightnessKeys	= "AAAAAAA";
	RadiusKeys		= "AZAAAAA";
	OffsetKeys		= "AZAAAAA";
	RotationKeys	= "AZAAAAA";

	ColorTime		= 0.8;
	BrightnessTime	= 1.0;
	RadiusTime		= 1.0;
	OffsetTime		= 1.0;
	RotationTime	= 1.0;

	LerpColor		= false;
	LerpBrightness	= true;
	LerpRadius		= true;
	LerpOffset		= true;
	LerpRotation	= true;
};

datablock fxLightData(SeleniumAmbulance)
{
	uiName = "Selenium Alarm Ambulance";

	LightOn = true;
	radius = 32;
	brightness = 5;
	color = "1 1 1";

	FlareOn			= false;
	FlareTP			= false;
	Flarebitmap		= "";
	FlareColor		= "1 1 1";
	ConstantSizeOn	= false;
	ConstantSize	= 1;
	NearSize		= 1;
	FarSize			= 0.5;
	NearDistance	= 10.0;
	FarDistance		= 30.0;
	FadeTime		= 0.1;
	BlendMode		= 0;

	AnimColor		= true;
	AnimBrightness	= false;
	AnimOffsets		= false;
	AnimRotation	= false;
	LinkFlare		= true;
	LinkFlareSize	= false;
	MinColor		= "0 0 0";
	MaxColor		= "1 1 1";
	MinBrightness	= 0.0;
	MaxBrightness	= 1.0;
	MinRadius		= 0.1;
	MaxRadius		= 20;
	StartOffset		= "-5 0 0";
	EndOffset		= "5 0 0";
	MinRotation		= 0;
	MaxRotation		= 359;

	SingleColorKeys	= false;
	RedKeys			= "ZVVZVV";
	GreenKeys		= "AVVAVV";
	BlueKeys		= "AVVAVV";
	
	BrightnessKeys	= "AAAAAAA";
	RadiusKeys		= "AZAAAAA";
	OffsetKeys		= "AZAAAAA";
	RotationKeys	= "AZAAAAA";

	ColorTime		= 0.8;
	BrightnessTime	= 1.0;
	RadiusTime		= 1.0;
	OffsetTime		= 1.0;
	RotationTime	= 1.0;

	LerpColor		= false;
	LerpBrightness	= true;
	LerpRadius		= true;
	LerpOffset		= true;
	LerpRotation	= true;
};